"""empty message

Revision ID: d78bef4a3ccd
Revises: 
Create Date: 2023-03-20 16:43:21.354042

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'd78bef4a3ccd'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('visitors',
    sa.Column('site_id', sa.Integer(), nullable=False),
    sa.Column('site_name', sa.String(length=64), nullable=True),
    sa.Column('visitor_count', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('site_id')
    )
    with op.batch_alter_table('visitors', schema=None) as batch_op:
        batch_op.create_index(batch_op.f('ix_visitors_site_name'), ['site_name'], unique=True)

    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('visitors', schema=None) as batch_op:
        batch_op.drop_index(batch_op.f('ix_visitors_site_name'))

    op.drop_table('visitors')
    # ### end Alembic commands ###
